## org.apache.lucene.queryParser.standard.builders
Class SlopQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryParser.standard.builders.SlopQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class SlopQueryNodeBuilder

extends java.lang.Object
implements StandardQueryBuilder

This builder basically reads the `Query` object set on the `SlopQueryNode` child using `QueryTreeBuilder.QUERY_TREE_BUILDER_TAGID` and applies the slop value defined in the `SlopQueryNode`.

Constructor Summary
`SlopQueryNodeBuilder()`

Method Summary
`Query` `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlopQueryNodeBuilder

    public SlopQueryNodeBuilder()

Method Detail

### build

    public Query build(QueryNode queryNode)
                throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.